#%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
#%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define         name    avogadro
%define         major   1
%define         libname %mklibname %{name} %{major}
%define         oldlib  %mklibname %{name} 0


Name:           %{name}
Version:        1.0.0
Release:        %mkrel 1
License:        GPL v2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Productivity/Editors/Other
Summary:        Avogadro is a Molecular design tool
Url:            http://avogadro.sourceforge.net/wiki/Main_Page
Source0:        %{name}-%{version}.tar.bz2
Requires:	%{libname} = %{version}
Requires:       openbabel >= 2.2.2
#optional packages
Requires:       glew 
#Requires:       boost python-numpy

#BuildRequires:  libxorg-x11-devel
BuildRequires:  gcc-c++
BuildRequires:  cmake >= 2.6.0
BuildRequires:  qt4-linguist
BuildRequires:  openbabel-devel >= 2.2.2
BuildRequires:  qt4-devel >= 4.5.1
BuildRequires:  eigen2 >= 2.0.3
#optional packages
BuildRequires:  glew-devel
#BuildRequires:  python-devel boost-devel python-numpy-devel python-sip

%description
Avogadro is an advanced molecular editor designed
for cross-platform use in computational chemistry,
molecular modeling, bioinformatics, materials science,
and related areas. It offers flexible rendering and
a powerful plugin architecture.

Authors:
--------
    See AUTHORS file

%package -n %{libname}
Summary:        Avogadro is a Molecular design tool
Group:          Development/Libraries/C and C++
Obsoletes:      %{oldlib}

%description -n %{libname}
This package contains the shared libraries for Avogadro.

Avogadro is an advanced molecular editor designed
for cross-platform use in computational chemistry,
molecular modeling, bioinformatics, materials science,
and related areas. It offers flexible rendering and
a powerful plugin architecture.
 
Authors:
--------
    See AUTHORS file
 

%package -n %{libname}-devel
Summary:        Development files for Avogadro 
Group:          Development/Libraries/C and C++
Requires:	%{libname} = %{version}
Obsoletes:      %{oldlib}-devel


%description -n %{libname}-devel
This package contains files to develop applications using 
Avogadros libraries.

Authors:
--------
    See AUTHORS file

%prep
%setup -q

%build
%cmake %{?BUILD_TESTS} -DCMAKE_INSTALL_PREFIX=%{_prefix} -DLIB_INSTALL_DIR=%{_libdir} -DENABLE_GLSL=ON -DENABLE_PYTHON=OFF -DENABLE_UPDATE_CHECKER=OFF
 
%{__make}

%install
rm -rf %buildroot
cd build

%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}-icon.png
%{_datadir}/applications/%{name}.desktop

%files -n %{libname}-devel
%defattr(-,root,root,-)
%{_datadir}/libavogadro/
%{_includedir}/%{name}/*.h
%{_libdir}/*.so

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/%{name}
%{_libdir}/*.so.*

%changelog
* Sat Oct 31 2009 - Kristof Bal <kristof.bal@gmail.com> 1.0.0-1mcnl2009.1
- update to upstream 1.0.0
- bump lib major version
- use Mandriva way of install
- obsolete old libs
* Thu Oct 22 2009 - Kristof Bal <kristof.bal@gmail.com> 0.9.9-1mcnl2009.1
- update to upstream 0.9.9
- finally remove icon patch since it went upstream
* Tue Jul 21 2009 - Kristof Bal <kristof.bal@gmail.com> 0.9.8-1mcnl2009.1
- update to upstream 0.9.8
- build against newer eigen
- build against newer openbabel
- spec fixing
* Tue Jul 21 2009 - Kristof Bal <kristof.bal@gmail.com> 0.9.7-1mcnl2009.1
- update to upstream 0.9.7
- disable python for now
* Thu Jun 11 2009 - Kristof Bal <kristof.bal@gmail.com> 0.9.6-1mcnl2009.1
- update to upstream 0.9.6
* Sun May 10 2009 - Kristof Bal <kristof.bal@gmail.com> 0.9.4-1mcnl2009.1
- update to upstream 0.9.4
- try to fix python-sitelib
* Sat May 02 2009 - Kristof Bal <kristof.bal@gmail.com> 0.9.3-1mcnl2009.1
- update to 0.9.3
- build for 2009.1
* Sat Mar 7 2009 - Kristof Bal <kristof.bal@gmail.com> 0.9.2-1mcnl2009.0
- update to 0.9.2, mostly bugfixes
- more optional features included
* Sat Feb 14 2009 - Kristof Bal <kristof.bal@gmail.com>
- update to 0.9.0
* Thu Dec 11 2008 - Kristof Bal <kristof.bal@gmail.com>
- adapted for mandriva
* Wed Jun 11 2008 - Andrea Florio <andrea@opensuse.org>
- update to version 0.8.1
- lots of fixing and improving:
    for more info check here: http://avogadro.openmolecules.net/wiki/Avogadro_0.8.1
- made rpmlint happier
* Wed May 30 2008 - Andrea Florio <andrea@opensuse.org>
- update to version 0.8.0
* Mon Mar 24 2008 - Andrea Florio <andrea@opensuse.org>
- update to version 0.6.1
* Fri Dec 21 2007 - Andrea Florio <andrea@opensuse.org>
- Fixed URL project page
- Fixed libavogadro0 and avogadro-devel package
- added libavogadro like obsoletes
- follow shared library packagin policy:
  rename libavogadro to libavogadro0
- create a devel package containing the headers files
- make the compiler happier: added avogadro-0.2.0-mathmeaning.patch
* Sun Dec 16 2007 Andrea Florio <andrea@opensuse.org>
- First spec making
